////////////////////////////////////
// volumerenderer.h
// Main volume renderer class
// Original coding by Pascal Gautron, July 2006
////////////////////////////////////


#ifndef _VOLUMERENDERER_H_
#define _VOLUMERENDERER_H_
#include <gllib.h>
#include <core.h>


class CVolumeRenderer
{
public:
  CVolumeRenderer() :_zoom(1.0) {}
  virtual ~CVolumeRenderer() {}

  
  virtual void Render()=0;
  virtual void Menu(int item)=0;
  virtual void CreateMenus()=0;
  virtual void Key(unsigned char key, int x, int y)=0;

  float _zoom;
  virtual bool LoadData(const char *iniFile)=0;
};


#endif //_VOLUMERENDERER_H_